
%global meadversion 1.0.1
%global namedversion 1.0.1.redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00002

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package guava-failureaccess}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.1.redhat-00002

Name:             %{?scl_prefix}guava-failureaccess
Version:          %{meadversion}
Release:          %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          Guava InternalFutureFailureAccess and InternalFutures
Group:            Development/Libraries

%if %with mead
Source100: failureaccess-1.0.1.redhat-00002-project-sources.tar.gz
Source102: failureaccess-1.0.1.redhat-00002.pom
Source103: failureaccess-1.0.1.redhat-00002.jar
Source104: failureaccess-1.0.1.redhat-00002-javadoc.jar
Source105: failureaccess-1.0.1.redhat-00002-sources.jar
%endif

License:          ASL 2.0
URL:              https://github.com/google/guava

BuildArch:        noarch
BuildRoot:      %{_tmppath}/guava-failureaccess-%{version}-%{release}-buildroot


%description
Contains com.google.common.util.concurrent.internal.InternalFutureFailureAccess and InternalFutures.
Most users will never need to use this artifact. Its classes are conceptually a part of Guava,
but they're in this separate artifact so that Android libraries can use them without pulling
in all of Guava (just as they can use ListenableFuture by depending on the listenablefuture artifact).

%if %with javadoc
%package javadoc
Summary:        Javadoc for guava-failureaccess
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n failureaccess-%{namedversion} -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/failureaccess-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/failureaccess-%{namedversion}-sources.jar %{buildroot}%{_javadir}
%if %with javadoc
%{__cp} -p %{_sourcedir}/failureaccess-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/failureaccess-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/guava-failureaccess-%{namedversion}
%{__unzip} -qq %{_sourcedir}/failureaccess-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/guava-failureaccess-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/guava-failureaccess-%{namedversion}/META-INF
%{__ln_s} guava-failureaccess-%{namedversion} %{buildroot}%{_javadocdir}/guava-failureaccess
%endif

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files -n %{?scl_prefix}guava-failureaccess
%defattr(0644,root,root,0755)
%{_javadir}/failureaccess-%{namedversion}.jar
%{_javadir}/failureaccess.jar
%{_javadir}/failureaccess-%{namedversion}-sources.jar
%{_javadir}/failureaccess-sources.jar
%if %with javadoc
%{_javadir}/failureaccess-%{namedversion}-javadoc.jar
%{_javadir}/failureaccess-javadoc.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/guava-failureaccess-%{namedversion}
%{_javadocdir}/guava-failureaccess
%endif

%changelog
* Fri Jan 29 2021 Yong Yang <yyang@redhat.com> - 1.0.1-1.redhat_00002.1
- First build
